linux-tools-4.15.0-1036-gke_4.15.0-1036.38_amd64.deb


Advertisement

Description

linux-tools-4.15.0-1036-gke - Linux kernel version specific tools for version 4.15.0-1036

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Updates Main amd64
Package filename linux-tools-4.15.0-1036-gke_4.15.0-1036.38_amd64.deb
Package name linux-tools-4.15.0-1036-gke
Package version 4.15.0
Package release 1036.38
Package architecture amd64
Package type deb
Category devel
Homepage -
License -
Maintainer Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Download size 1.91 KB
Installed size 236.00 KB
This package provides the architecture dependant parts for kernel
version locked tools (such as perf and x86_energy_perf_policy) for
version 4.15.0-1036 on
64 bit x86.

Alternatives

Package Version Architecture Repository
linux-tools-4.15.0-1036-gke - - -

Requires

Name Value
linux-gke-4.15-tools-4.15.0-1036 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package linux-tools-4.15.0-1036-gke_4.15.0-1036.38_amd64.deb
Source Package linux-gke-4.15

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install linux-tools-4.15.0-1036-gke deb package:
    # sudo apt-get install linux-tools-4.15.0-1036-gke

Files

Path
/usr/lib/linux-tools/4.15.0-1036-gke/cpupower
/usr/lib/linux-tools/4.15.0-1036-gke/perf
/usr/lib/linux-tools/4.15.0-1036-gke/turbostat
/usr/lib/linux-tools/4.15.0-1036-gke/usbip
/usr/lib/linux-tools/4.15.0-1036-gke/usbipd
/usr/lib/linux-tools/4.15.0-1036-gke/x86_energy_perf_policy
/usr/share/doc/linux-tools-4.15.0-1036-gke/changelog.Debian.gz
/usr/share/doc/linux-tools-4.15.0-1036-gke/copyright

Changelog

2019-06-24 - Kleber Sacilotto de Souza <kleber.souza@canonical.com>
linux-gke-4.15 (4.15.0-1036.38) bionic; urgency=medium
* linux-gke-4.15: 4.15.0-1036.38 -proposed tracker (LP: #1833975)
[ Ubuntu: 4.15.0-54.58 ]
* linux: 4.15.0-54.58 -proposed tracker (LP: #1833987)
* Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
manipulation (LP: #1831638) // CVE-2019-11478
- tcp: refine memory limit test in tcp_fragment()
* CVE-2019-11479
- SAUCE: tcp: add tcp_min_snd_mss sysctl
- SAUCE: tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()
2019-06-06 - Stefan Bader <stefan.bader@canonical.com>
linux-gke-4.15 (4.15.0-1034.36) bionic; urgency=medium
[ Ubuntu: 4.15.0-52.56 ]
* Remote denial of service (resource exhaustion) caused by TCP SACK scoreboard
manipulation (LP: #1831638)
- SAUCE: tcp: tcp_fragment() should apply sane memory limits
* Remote denial of service (system crash) caused by integer overflow in TCP
SACK handling (LP: #1831637)
- SAUCE: tcp: limit payload size of sacked skbs

See Also

Package Description
linux-tools-4.15.0-1036-kvm_4.15.0-1036.36_amd64.deb Linux kernel version specific tools for version 4.15.0-1036
linux-tools-4.15.0-1036-oem_4.15.0-1036.41_amd64.deb Linux kernel version specific tools for version 4.15.0-1036
linux-tools-4.15.0-1037-aws_4.15.0-1037.39_amd64.deb Linux kernel version specific tools for version 4.15.0-1037
linux-tools-4.15.0-1037-azure_4.15.0-1037.39_amd64.deb Linux kernel version specific tools for version 4.15.0-1037
linux-tools-4.15.0-1037-gcp_4.15.0-1037.39_amd64.deb Linux kernel version specific tools for version 4.15.0-1037
linux-tools-4.15.0-1037-gke_4.15.0-1037.39_amd64.deb Linux kernel version specific tools for version 4.15.0-1037
linux-tools-4.15.0-1038-kvm_4.15.0-1038.38_amd64.deb Linux kernel version specific tools for version 4.15.0-1038
linux-tools-4.15.0-1038-oem_4.15.0-1038.43_amd64.deb Linux kernel version specific tools for version 4.15.0-1038
linux-tools-4.15.0-1039-aws_4.15.0-1039.41_amd64.deb Linux kernel version specific tools for version 4.15.0-1039
linux-tools-4.15.0-1039-kvm_4.15.0-1039.39_amd64.deb Linux kernel version specific tools for version 4.15.0-1039
linux-tools-4.15.0-1039-oem_4.15.0-1039.44_amd64.deb Linux kernel version specific tools for version 4.15.0-1039
linux-tools-4.15.0-1040-aws_4.15.0-1040.42_amd64.deb Linux kernel version specific tools for version 4.15.0-1040
linux-tools-4.15.0-1040-gcp_4.15.0-1040.42_amd64.deb Linux kernel version specific tools for version 4.15.0-1040
linux-tools-4.15.0-1040-gke_4.15.0-1040.42_amd64.deb Linux kernel version specific tools for version 4.15.0-1040
linux-tools-4.15.0-1041-aws_4.15.0-1041.43_amd64.deb Linux kernel version specific tools for version 4.15.0-1041
Advertisement
Advertisement